Module | PhusionPassenger::ClassicRailsExtensions::AnalyticsLogging::ACBaseExtension
In: | lib/phusion_passenger/classic_rails_extensions/analytics_logging/ac_base_extension.rb

### Methods

render_with_passenger

### Protected Instance methods

render_with_passenger(*args, &block)

[Source]

        # File lib/phusion_passenger/classic_rails_extensions/analytics_logging/ac_base_extension.rb, line 48
    48:         def render_with_passenger(*args, &block)
    49:                 log = request.env[PASSENGER_ANALYTICS_WEB_LOG]
    50:                 if log
    51:                         log.measure("view rendering") do
    52:                                 result = render_without_passenger(*args, &block)
    53:                                 view_runtime = @view_runtime || @rendering_runtime
    54:                                 log.message "View rendering time: #{(view_runtime * 1000).to_i}"
    55:                                 return result
    56:                         end
    57:                 else
    58:                         render_without_passenger(*args, &block)
    59:                 end
    60:         end

[Validate]